<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class managestudent extends CI_Controller {

    public $iconName;

    function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library(array('form_validation', 'session'));
        $this->load->model(array('usermodel'));
        if (!isset($this->session->userdata['id'])) {
            redirect(base_url('home/login'));
            exit;
        }
    }

    public function index() {
        $data['groupId'] = $this->session->userdata['role'];
        $data['links'] = '<a class="navbar-brand" href="home/logout"> Logout</a>';
        $this->load->view('header', $data);
        $this->load->view('studentGridView', $data);
        $data['pageName'] = str_replace('/', '', $_SERVER['REQUEST_URI']);
        $this->load->view('footer', $data);
    }

    public function getStudents($schoolid) {
        $data = array();
        $data['data'] = $this->usermodel->getStudents($schoolid);

        echo json_encode($data);
    }

    public function createStudent() {

        if (isset($_POST['action']) && $_POST['action'] === 'create') {
            $studentInfo = $_POST['data'];
            $this->usermodel->createStudent($studentInfo);
        }
        if (isset($_POST['action']) && $_POST['action'] === 'edit') {
            $studentInfo = $_POST['data'];
            $this->usermodel->updateStudent($studentInfo);
        }
    }

    public function uploadfile($userId = NULL) {
        sleep(2);
        $data = $this->usermodel->getStudentById($_GET['n']);

        if (isset($_GET['std'])) {
            $this->db->where('userid', $_GET['n']);
            $this->db->update('people', array('icon' => 'std/' . $_GET['std'] . '.png'));
            $dir = FCPATH . 'public\\img\\people\\';
                    if ($handle = opendir($dir)) {
                        while (($file = readdir($handle)) !== false) {
                            if (!in_array($file, array('.', '..')) && !is_dir($dir . $file)) {
                                $arr1 = explode('_', $file);
                                if (isset($arr1[1])) {
                                    $arr2 = explode('.', $arr1[1]);
                                    if ($arr2[0] === $userId) {
                                        @unlink(FCPATH . 'public/img/people/' . $file);
                                    }
                                }
                            }
                        }
                    }
        } else {


            if (isset($_FILES["userfile"]) && $userId === NULL) {
                if ($_FILES["userfile"]["name"] != '') {
                    $uploadpath = './public/img/people';
                    $config['upload_path'] = $uploadpath;
                    $config['allowed_types'] = 'gif|jpg|png|jpeg';
                    $config['max_size'] = '100000000';
                    $file_name = $_GET['n'] . '_' . $data['id'];
                    $config['file_name'] = $file_name;
                    $this->load->library('upload', $config);
                    $flag = $this->upload->do_upload('userfile');
                    $uploaddata = $this->upload->data();
                    $this->db->where('userid', $_GET['n']);
                    $this->db->update('people', array('icon' => $uploaddata['file_name']));
                    //$userIcon = array('userIcon' => $uploaddata['file_name']);
                    //$this->session->set_userdata($userIcon);
                    echo json_encode($uploaddata['file_name']);
                } else {
                    
                }
            } else {

                if (isset($_FILES["userfile"])) {

                    $dir = FCPATH . 'public\\img\\people\\';
                    if ($handle = opendir($dir)) {
                        while (($file = readdir($handle)) !== false) {
                            if (!in_array($file, array('.', '..')) && !is_dir($dir . $file)) {
                                $arr1 = explode('_', $file);
                                if (isset($arr1[1])) {
                                    $arr2 = explode('.', $arr1[1]);
                                    if ($arr2[0] === $userId) {
                                        @unlink(FCPATH . 'public/img/people/' . $file);
                                    }
                                }
                            }
                        }
                    }


                    if ($_FILES["userfile"]["name"] != '') {
                        $uploadpath = './public/img/people';
                        $config['upload_path'] = $uploadpath;
                        $config['allowed_types'] = 'gif|jpg|png|jpeg';
                        $config['max_size'] = '100000000';
                        $file_name = $_GET['n'] . '_' . $data['id'];
                        $config['file_name'] = $file_name;
                        $this->load->library('upload', $config);
                        $flag = $this->upload->do_upload('userfile');
                        $uploaddata = $this->upload->data();
                        $this->db->where('userid', $_GET['n']);
                        $this->db->update('people', array('icon' => $uploaddata['file_name']));
                        //$userIcon = array('userIcon' => $uploaddata['file_name']);
                        //this->session->set_userdata($userIcon);
                        echo json_encode($uploaddata['file_name']);
                    }
                }
            }
        }
    }

    public function getSchoolLevels($schoolid) {
        $classData = $this->usermodel->getSchoolLevels($schoolid);

        $stack = array();
        foreach ($classData as $key => $val) {

            $arr = explode('-', $val['schoollevels']);
            foreach ($arr as $key => $value) {
                if ($value !== '') {
                    array_push($stack, $value);
                }
            }
        }
        echo json_encode($stack);
    }

}
